Description

When using the auto discovery download in the answers file (  "foreman::plugin::discovery":     install_images: true ), I get the errors

below. This is strange because when I run the same command manually from the server, the files download without errors.

What does "returned 23 instead of one of [0]" imply?

/usr/bin/curl -s 

http://downloads.theforeman.org/discovery/releases/latest/foreman-discovery-image-latest.el6.iso-v

mlinuz

 -o /var/lib/tftpboot/boot/foreman-discovery-image-latest.el6.iso-vmlinuz returned 23 instead of o

ne of [0]

     /Stage[main]/Foreman::Plugin::Discovery/Foreman::Remote_file[/var/lib/tftpboot/boot/foreman-d

iscovery-image-latest.el6.iso-vmlinuz]/Exec[retrieve_/var/lib/tftpboot/boot/foreman-discovery-imag

e-latest.el6.iso-vmlinuz]/returns: change from notrun to 0 failed: /usr/bin/curl -s 

http://downloads.theforeman.org/discovery/releases/latest/foreman-discovery-image-latest.el6.iso-v

mlinuz

 -o /var/lib/tftpboot/boot/foreman-discovery-image-latest.el6.iso-vmlinuz returned 23 instead of o

ne of [0]

     /usr/bin/curl -s 

http://downloads.theforeman.org/discovery/releases/latest/foreman-discovery-image-latest.el6.iso-i

mg

 -o /var/lib/tftpboot/boot/foreman-discovery-image-latest.el6.iso-img returned 23 instead of one o

f [0]

     /Stage[main]/Foreman::Plugin::Discovery/Foreman::Remote_file[/var/lib/tftpboot/boot/foreman-d

iscovery-image-latest.el6.iso-img]/Exec[retrieve_/var/lib/tftpboot/boot/foreman-discovery-image-la

test.el6.iso-img]/returns: change from notrun to 0 failed: /usr/bin/curl -s 

http://downloads.theforeman.org/discovery/releases/latest/foreman-discovery-image-latest.el6.iso-i

mg

 -o /var/lib/tftpboot/boot/foreman-discovery-image-latest.el6.iso-img returned 23 instead of one o

f [0]

History

#1 - 10/08/2014 09:41 AM - Lukas Zapletal

- Status changed from New to Need more information

Hello,

as the curl's man page says:

23     Write error. Curl couldn't write data to a local filesystem or similar

 Can you make sure you have enought free space on the device?

#2 - 10/08/2014 09:51 AM - Dominic Cleal

- Project changed from Foreman to Installer
- Category set to Foreman modules

#3 - 10/08/2014 10:09 AM - Jorick Astrego

That was the obvious thing to check, no diskspace problems as it's a fresh install with plenty of space...

The exact same url works perfectly when I do it from cli after or before I run the installer.

Can it be a permission error? Does it switch to another user to do curl?

It could be selinux although I can't find curl in audit.log

#4 - 10/09/2014 02:14 AM - Marek Hulán

No, the installer runs puppet (that runs curl) under same user (probably root). After you run the installer and it fails with code 23, are the files present

and if so is their size > 0?

#5 - 10/09/2014 04:00 AM - Lukas Zapletal

I've just tested against nightly and images download fine. Please double check your volumes.

#6 - 02/29/2016 06:36 AM - Tomer Brisker

- Status changed from Need more information to Rejected

Could not be reproduced, no activity over a year. Closing.
